> ## Documentation Index
> Fetch the complete documentation index at: https://docs.thena.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get article by ID



## OpenAPI

````yaml get /articles/{articleId}
openapi: 3.0.0
info:
  title: Thena Help Center API Documentation
  description: The Thena Help Center API description
  version: '1.0'
  contact: {}
servers:
  - url: https://helpcenter.thena.ai
    description: Production
security:
  - ApiKey: []
    base-access: []
    OrgId: []
    UserId: []
tags: []
paths:
  /articles/{articleId}:
    get:
      tags:
        - Article
      summary: Get article by ID
      operationId: ArticleController_get
      parameters:
        - name: articleId
          required: true
          in: path
          description: Article ID
          schema:
            example: 507f1f77bcf86cd799439011
            type: string
      responses:
        '200':
          description: Article fetched successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ArticleResponseDto'
        '404':
          description: Article not found.
          content:
            application/json:
              schema:
                example:
                  message: Article not found.
                  error: API Error
                  statusCode: 404
        '500':
          description: Failed to fetch article.
          content:
            application/json:
              schema:
                example:
                  message: Failed to fetch article.
                  error: API Error
                  statusCode: 500
components:
  schemas:
    ArticleResponseDto:
      type: object
      properties:
        _id:
          type: string
          example: 682c3cb454561efcea641c8c
        orgId:
          type: string
          example: EWWESHH5ED
        uid:
          type: number
          example: 4275918855
        title:
          type: string
          example: Getting Started Guide
        description:
          type: string
          example: A comprehensive guide to get started
        slug:
          type: string
          example: 8588462216-getting-started-guide
        state:
          type: string
          example: draft
          enum:
            - draft
            - published
        authors:
          example:
            - UWW7PBBOPJ
          type: array
          items:
            type: string
        tags:
          example:
            - 667d37bd1e87838451261acb
            - 667d37bd1e87838451261acb
          type: array
          items:
            type: string
        visibility:
          type: string
          example: public
          enum:
            - public
            - private
            - customer
        createdBy:
          type: string
          example: UWW7PBBOPJ
        isAuthorManuallyUpdated:
          type: boolean
          example: false
        isDeleted:
          type: boolean
          example: false
        images:
          example:
            - 48b6750b-0287-4bed-a09b-87977a3adf46
          type: array
          items:
            type: string
        openaiFileId:
          type: string
          example: file-oM98KvbyEnEtslwh4bWiyrzu
        lastEditedBy:
          type: string
          example: UWW7PBBOPJ
        lastEditedAt:
          type: string
          example: '2025-05-19T08:26:28.556Z'
        isUpdateRequired:
          type: boolean
          example: false
        objectIds:
          example: []
          type: array
          items:
            type: string
        isAiGenerated:
          type: boolean
          example: false
        meta:
          type: object
          example:
            title: null
            description: null
            image: null
        createdAt:
          type: string
          example: '2025-05-19T08:26:28.561Z'
        updatedAt:
          type: string
          example: '2025-05-19T08:26:28.561Z'
        editorArticleName:
          type: string
          example: EWWESHH5ED_682c3cb454561efcea641c8c
        jwtSignedToken:
          type: string
          example: eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...
        aiToken:
          type: string
          example: eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...
        publishedVersion:
          $ref: '#/components/schemas/PublishedVersionDto'
        helpCenters:
          example:
            - 671a2ddbccca6b1c3dc0d3b6
          type: array
          items:
            type: string
        collections:
          example:
            - 671b856c19d8f51c01c0d293
          type: array
          items:
            type: string
      required:
        - _id
        - orgId
        - uid
        - title
        - description
        - slug
        - state
        - authors
        - tags
        - visibility
        - createdBy
        - isAuthorManuallyUpdated
        - isDeleted
        - images
        - openaiFileId
        - lastEditedBy
        - lastEditedAt
        - isUpdateRequired
        - objectIds
        - isAiGenerated
        - meta
        - createdAt
        - updatedAt
        - editorArticleName
        - jwtSignedToken
        - aiToken
    PublishedVersionDto:
      type: object
      properties:
        json:
          type: string
          example: >-
            {"type":"doc","content":[{"type":"paragraph","attrs":{"textAlign":"left"},"content":[{"type":"text","text":"Hey
            test"}]}]}
        html:
          type: string
          example: <p>Hey test</p>
        version:
          type: number
          example: 0
        publishedBy:
          type: string
          example: 667d37bd1e87838451261acb
        publishedAt:
          type: string
          example: '2024-11-20T12:08:22.583Z'
      required:
        - json
        - html
        - version
        - publishedBy
        - publishedAt
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: x-api-key
      description: Enter your API key

````